CircleCI CLI Fails With "panic: yaml: line 4: could not find expected ':'"

Running various CircleCI CLI commands can fail with the error

panic: yaml: line 4: could not find expected ':'

This can be caused by a corrupted ~/.circleci/cli.yml file. To resolve the issue, delete the contents of the ~/.circleci folder and re-run setup.

rm ~/.circleci/*
circleci setup

You can then add a previous or newly created Personal API Token.

If a similar error occurs when running circleci validate, but does not occur when running commands like circleci version or circleci setup, then this likely do to an error in the Orb YAML and is not related to a corruption of the ~/.circleci/cli.yml file.

Was this article helpful?
0 out of 0 found this helpful

Comments

0 comments

Article is closed for comments.